/**
 * @(#)Interactions.java 13 November 2006
 *
 * @author Viera K. Proulx
 */
import edu.neu.ccs.*;
import edu.neu.ccs.gui.*;
import edu.neu.ccs.codec.*;
import edu.neu.ccs.console.*;
import edu.neu.ccs.filter.*;
import edu.neu.ccs.jpf.*;
import edu.neu.ccs.parser.*;
import edu.neu.ccs.pedagogy.*;
import edu.neu.ccs.quick.*;
import edu.neu.ccs.util.*;

import java.awt.*;
import java.awt.event.*;
import java.awt.geom.*;
import java.awt.font.*;
import java.awt.image.*;
import javax.swing.*;
import javax.swing.border.*;

import java.io.*;
import java.util.*;
import java.math.*;
import java.beans.*;
import java.lang.reflect.*;
import java.net.URL;
import java.util.regex.*;

//import java.text.*;
/**
 * @(#)Examples.java 13 November 2006
 *
 * @author Viera K. Proulx
 */
import java.util.*;
/**
 * @(#)Examples.java 13 November 2006
 *
 * @author Viera K. Proulx
 */
import java.util.*;
/**
 * A class that implements the tests for the Eliza game
 */
public class Interactions extends JPF 
{
  /** 
   * <P>The main method that provides the infrastructure for the
   * Java Power Framework (JPF).</P>
   * <P> The JPF will create a GUI with an <CODE>{@link Action Action}</CODE>
   * button for each method that has the header</P?
   * <P><CODE>public void methodName()</CODE></P>
   * <P>The button press invokes the method execution within the current 
   * instance of this class.</P>
   * @param args unused
   */
  public static void main(String[] args) { 
    // To optionally adjust the look and feel,
    // remove the comments from one of the two statements below.
    
    // LookAndFeelTools.showSelectLookAndFeelDialog();
    // LookAndFeelTools.adjustAllDefaultFontSizes(2);
    
    new Interactions();
  }
  
  ///////////////////////////////////////////////////////////
  // Place your actual methods here.                       //
  ///////////////////////////////////////////////////////////
  
  /*----------------------------------------------------------------------- 
   Write your method here
   ------------------------------------------------------------------------- */
  /**
   * Repeat reading the user input from the <CODE>console</CODE> 
   * and echo it back. Stop when no input is provided.
   */
  public void readAndWrite(){
    
    try{
      while (true){
        String s = console.in.requestString(":>");
        console.out.println("You wrote: " + s);  
      }
    }
    catch(CancelledException e){
      console.out.println("Goodbye");
    }
  }
  
  /**
   * A stub for the method that reads a list of words 
   * and print them one line at a time.
   * The code illustrates the use of <CODE>for-each</CODE> loop 
   * that traverses over the <CODE>{@link ArrayList ArrayList</CODE>.
   */
  public void readWords(){
    
    Words w = new Words();
    ArrayList<String> rev = w.reversed;
    
    // print the original list
    System.out.print("Original:");
    for (String s: rev){
      System.out.println(s);
    }
  }
 
  
  /**
   * Run the entire test suite in the <CODE>{@link Examples Examples</CODE>
   * class.
   */
  public void TestSuite(){
    
    Examples e = new Examples();
    
    e.runTests();
  }
  
  
}

