/**
 * @(#)SampleEliza.java 13 November 2006
 *
 * @author Viera K. Proulx
 */
import java.util.*;
/**
 * A class that generates a sample collection of questions 
 * and answers for the Eliza game
 */
public class SampleEliza{
  
  /** the <CODE>{@link ArrayList ArrayList}</CODE> of possible 
   * answers to questions that start with 'How' */
  private ArrayList<String> howAnswers = new ArrayList<String>();
  
  /** the <CODE>{@link ArrayList ArrayList}</CODE> of possible 
   * answers to questions that start with 'Why' */
  private ArrayList<String> whyAnswers = new ArrayList<String>();
 
  /** a hash map of the <CODE>{@link String String}</CODE> --
   * <CODE>{@link Reply Reply}</CODE> pairs of questions and possible
   * answers
   */
  private HashMap<String, Reply> replies = 
    new HashMap<String, Reply>();
  
  /**
   * The constructor initializes one 
   * <CODE>{@link ArrayList ArrayList}</CODE> of possible 
   * answers for each expected question.
   */
  public SampleEliza(){
    makeAnswers();
  }
  
 
  /**
   * <P>The initializer for all answers and the 
   * <CODE>{@link ArrayList ArrayList}</CODE> of 
   * <CODE>{@link Reply Reply}</CODE> for each possible question.</P>
   * <P>the <CODE>{@link HashMap HashMap}</CODE> replies contains all
   * question-answer pairs.
   */
  public void makeAnswers(){
    this.howAnswers.add("I do not know how.");
    
    this.whyAnswers.add("Why not.");
    this.whyAnswers.add("Because the sky is blue.");
    
    this.replies.put("How", new Reply(this.howAnswers));
    this.replies.put("Why", new Reply(this.whyAnswers));
  }
  
  /**
   * Find a reply to the patient's question -- guaranteed not to be null
   * @param s the question that is asked
   * @return the answer to the asked question
   */
  public String findReply(String s){
      // ...
      return "Don't ask me";
  }
  
  /**
   * A sample display of the use of this class.
   * @param argv unused
   */
  public static void main(String argv[]){
    SampleEliza el = new SampleEliza();
    System.out.println("size: " + el.replies.size());
    System.out.println("true How? " + el.replies.containsKey("How"));
    System.out.println("true Why? " + el.replies.containsKey("Why"));    
  }
}